> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Test Suite

> Get a single test suite by ID

## Request

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>

<ParamField path="testSuiteId" type="string" required>The test suite ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

## Response

<ResponseField name="data" type="object">
  The test suite object with `id`, `name`, and `testCases` (array of `{ id }`).
</ResponseField>

### Example

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": {
    "id": "test-suite-uuid",
    "projectId": "project-uuid",
    "name": "Regression suite",
    "testCases": [
      { "id": "test-case-uuid-1" },
      { "id": "test-case-uuid-2" }
    ],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}
```
